<!DOCTYPE html>
<html>
  <head>
    <title><%= page_view_object.title %></title>
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>

    <%= stylesheet_link_tag 'application', 'data-turbo-track': 'reload' %>
    <%= javascript_include_tag 'application', 'data-turbo-track': 'reload', type: 'module' %>
  </head>

  <body class="vh-100 vw-100 bg-light d-flex flex-column">
    <div class="w-100">
      <%= render partial: 'shared/header' %>
    </div>
    <div class="d-flex flex-grow-1">
      <div class="h-100 flex-shrink-0 bg-light border-end sidebar">
        <%= render partial: 'shared/sidebar' %>
      </div>
      <div class="d-flex flex-grow-1 overflow-hidden">
        <%= yield %>
        <%= render partial: 'shared/flash_messages' %>
      </div>
    </div>
  </body>
</html>
